Skip to main content

Beltone Hearing Aid Compatibility

Beltone hearing aids enable you to stream from virtually any audio source and personalize your sound on the go.

The following Beltone hearing aids are smartphone compatible:

  • Beltone Rely™
  • Beltone Imagine™
  • Beltone Amaze™
  • Beltone Trust™
  • Beltone Legend™
  • Beltone Boost Max™
  • Beltone Boost Plus™
  • Beltone Boost™
  • Beltone First™

Have A Question?

Contact Us Today?

Stream Sound to Your Beltone Hearing Aids

Streaming Music

With Beltone Hearing aids, you can connect directly with your iPhone, iPad, or iPod touch. This enables you to stream phone calls, audiobooks, and music directly to your hearing aids.

When your hearing aids are paired with any of the Apple devices listed below, direct sound streaming and basic hearing aid adjustments are natively integrated and available directly from iOS.

Supported connection – for sound streaming and the Beltone SmartRemote™ app.

If your smartphone is not compatible with a direct connection, you can achieve:

  • Sound streaming by using a Beltone Phone Link 2.
  • Compatibility: Any Bluetooth v.2.0 Android device.

Truly Personalize your Hearing Experience

Use the Beltone HearMax™ and Beltone HearPlus™ apps to tailor your hearing experience - perfectly matching your own preferences. Easily. Discreetly. And straight from your phone.

For Apple devices and selected compatible Android devices, you can connect directly to the hearing aids and change settings. See the full list of compatible phones below.

If your Android smartphone does not support direct connection: Use the Beltone Phone Link 2 between your hearing aids, smartphone and our Beltone SmartRemote™ app to gain control of your hearing aid settings.

Smart Remote
Learn More
Control and Personalization Through Apps

For full control and personalization of your hearing experience download and use the Beltone HearMax™ or HearPlus™ app. Be sure to choose the correct Beltone app for your hearing aid:

  • Beltone Imagine™
  • Beltone Amaze™
  • Beltone Rely™
  • Beltone Boost Ultra™
  • Beltone Trust™
  • Beltone Boost Max™
  • Beltone Legend™
  • Beltone Boost Plus™
  • Beltone Boost™
  • Beltone First™

Compatible Devices for Beltone HearMax™ and HearPlus™ Apps

  • iPhone 13 Pro Max
  • iPhone 13 Pro
  • iPhone 13
  • iPhone 13 mini
  • iPhone 12 Pro Max
  • iPhone 12 Pro
  • iPhone 12
  • iPhone 12 mini
  • iPhone 11 Pro Max
  • iPhone 11 Pro
  • iPhone 11
  • iPhone XS Max
  • iPhone XS
  • iPhone X
  • iPhone XR
  • iPhone 6s Plus
  • iPhone SE (2nd generation)
  • iPhone 8
  • iPhone 8 Plus
  • iPhone 7
  • iPhone 7 Plus
  • iPhone 6s
  • iPhone 6 Plus
  • iPhone 6
  • iPhone SE
  • iPhone 5s
  • iPhone 5c
  • iPhone 5
  • iPad Pro 12.9-inch (5th generation)
  • iPad Pro 11-inch (3rd generation)
  • iPad Pro 12.9-inch (4th generation)
  • iPad Pro 12.9-inch (3rd generation)
  • iPad Pro 12.9-inch (2nd generation)
  • iPad Pro 12.9-inch
  • iPad Pro 11-inch (2nd generation)
  • iPad Pro 11-inch
  • iPad Pro 10.5-inch
  • iPad Pro 9.7-inch
  • iPad Air (4th generation)
  • iPad Air (3rd generation)
  • iPad mini (6th generation)
  • iPad mini (5th generation)
  • iPad (9th generation)
  • iPad (8th generation)
  • iPad (7th generation)
  • iPad (6th generation)
  • iPod touch (6th generation)
  • iPad Pro (10.5-inch)
  • iPad Pro (12.9 inch)
  • iPad Pro (9.7 inch)
  • iPad Air 2
  • iPad Air
  • iPad mini 4
  • iPad mini 3
  • iPad mini 2
  • iPad mini (Beltone HearPlus™ app only)
  • iPad (5th generation)
  • iPad (4th generation)
  • iPod touch (6th generation)
  • iPod touch (5th generation) (Beltone HearPlus™ app only)
  • Apple Watch Series 2
  • Apple Watch Series 1
  • iOS 12 or later required for running either HearMax™ or HearPlus™ app.
  • iOS 15.3 or later required for hands-free calls with Beltone Imagine™ hearing aids.

In addition to the devices listed below, both apps are compatible with Apple Watches that are paired with a compatible device. Apple Watch requires Watch OS 5 or later.

  • Samsung Galaxy S20
  • Samsung Galaxy S20+
  • Samsung Galaxy S20 Ultra 5G
  • Samsung Galaxy S21
  • Samsung Galaxy S21+
  • Samsung Galaxy S21 Ultra
  • Samsung Galaxy S10
  • Samsung Galaxy S10+
  • Samsung Galaxy S10e
  • Samsung Galaxy Note 10+
  • Samsung Galaxy Note 10
  • Samsung Galaxy Note 9
  • Samsung Galaxy Note 8
  • Samsung Galaxy J7 Prime
  • Samsung Galaxy J5
  • Samsung Note 20
  • Samsung Note 20 Ultra 
  • Samsung Galaxy S9+
  • Samsung Galaxy S9
  • Samsung Galaxy S8+
  • Samsung Galaxy S8
  • Samsung Galaxy S7 Edge
  • Samsung Galaxy S7
  • Samsung Galaxy S6 Edge
  • Samsung Galaxy S5 mini
  • Samsung Galaxy S5
  • Samsung Galaxy S4
  • Samsung Galaxy Note 5
  • Samsung Galaxy Note 4
  • Sony Xperia Z3
  • Doro 8030
  • Google Pixel XL
  • HTC 10
  • HTC One M8
  • HTC One M9
  • Huawei Mate M8
  • Huawei P9
  • LG G3
  • LG5
  • LG V20
  • Google Pixel 4
  • Google Pixel 4a
  • Google Pixel 4 XL
  • Google Pixel 3a
  • Google Pixel 3a XL
  • Google Pixel 3
  • Google Pixel 3XL
  • OnePlus 7 Pro
  • OnePlus 7 T
  • OnePlus 9 Pro
  • OnePlus 9
  • OnePlus 9 R
  • Samsung Galaxy S20 FE
  • Oppo Reno 10x Zoom
  • Asus Zenfone 6
  • Moto G7
  • Xiaomi Mi 9

Notice to Android users: Beltone hearing aids are not compatible with Android 12 at this time. We advise Android users to delay updating to Android 12 until hearing aid compatibility can be confirmed. Note the Galaxy S21 is compatible with Android 11.

The Beltone HearMax™ app

The Beltone HearMax™ app is optimized for iPhone 6. iOS 10 or later is required. Watch support requires watch OS 3 and iOS 10. The Beltone HearPlus™ app is optimized for iPhone 6. iOS 8 or later is required. Watch support requires watch OS 2 and iOS 9.

The app is only available for download on the devices mentioned above. Each sub-variant of the phones listed above, e.g. Galaxy S5 Active or Galaxy S5 Mini, is modified by the local carrier in each country and we cannot guarantee direct compatibility for these.

If you already have one of the sub-variants and a working direct connection to your hearing aids, we advise you not to upgrade to Android OS 6.0.1 or later at the moment.

We recommend that your Android mobile device runs Android OS version 5.0 - Lollipop or later. Your hearing aids may need to be updated to the latest firmware to work with the app. This update can be done by your hearing care professional.